cd "E:\maria\ISCIII\JOSE\Cursos impartidos\2019\Residentes Stata 15 HSP\Sesion 2\Data"

use myepiser, clear
label data "EpiSER study dataset"

label variable area "Area of residence"

label define labarea 0 "urban" 1 "rural"
label values area labarea

label define labyesno 0 "no" 1 "yes"
label values art labyesno
label values lum labyesno

label list

save myepiser_lab, replace

generate bmi=weight/((height/100)^2)
label var bmi "body mass index"

generate age=int((doi-dob)/365.25)
label var age "age (years)"

codebook art lum
tabulate art lum
generate rheuma=0 if art==0 & lum==0
replace  rheuma=1 if art==1 & lum==0
replace  rheuma=2 if art==0 & lum==1
replace  rheuma=3 if art==1 & lum==1

label var rheuma "rheumatologic diseases"

label define labrheuma 0 "none" 1 "only osteoarthritis" 2 "only low back pain" 3 "both"
label val rheuma labrheuma

recode sex 1=0 2=1
label define labsex 0 "male" 1 "female"
label val sex labsex
tabulate sex

recode age min/25=1 25/50=2 50/75=3 75/max=4, generate(age4)
label define labage 1 "<25" 2 "25-50" 3 "50-75" 4 ">75"
label val age4 labage
tabulate age 

egen ageq = cut(age), group(4)
label var ageq "age by quartiles"
tabulate ageq

tabulate health, generate(healthD)
describe healthD*

save, replace

* Duplicados:
* Nota que creamos de forma artificial una observación duplicada
* para mostrar cómo tratar con duplicados en Stata (no hacerlo con
* vuestras BD’s)
expand 2 in 1
duplicates report code
duplicates list code
duplicates drop code, force

expand 2 in 1
duplicates list
duplicates drop


